ocamlgsl (1.25.1-1+ocaml1) trixie-backports-ocaml; urgency=medium

  * Rebuild for transition ocaml-5.4.1

 -- Anonymous Builder <builder@example.org>  Tue, 11 Aug 2026 10:18:58 +0200

ocamlgsl (1.25.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Mon, 30 Dec 2024 09:37:31 +0100

ocamlgsl (1.25.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Thu, 15 Feb 2024 03:35:02 +0100

ocamlgsl (1.24.3-5) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Depend on ocaml instead of transitional ocaml-nox
  * Bump Standards-Version to 4.6.2

  [ Debian Janitor ]
  * Update watch file format version to 4.

 -- Stéphane Glondu <glondu@debian.org>  Sun, 10 Sep 2023 05:36:28 +0200

ocamlgsl (1.24.3-4) unstable; urgency=medium

  * Team upload
  * Include ocamlvars.mk in debian/rules

 -- Stéphane Glondu <glondu@debian.org>  Sun, 23 Jul 2023 07:30:45 +0200

ocamlgsl (1.24.3-3) unstable; urgency=medium

  * Team upload
  * Add gsl_include.sexp to deps of sf.ml* (fixes random FTBFS)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 16 Jul 2023 13:27:39 +0200

ocamlgsl (1.24.3-2) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Use ocaml_dune DH buildsystem

  [ Debian Janitor ]
  * Use versioned copyright format URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2023 14:43:51 +0200

ocamlgsl (1.24.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Vcs-* to point to salsa
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Thu, 27 Aug 2020 09:00:10 +0200

ocamlgsl (1.19.1-2) unstable; urgency=medium

  * Team upload
  * Add ocamlbuild to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Fri, 14 Jul 2017 15:17:02 +0200

ocamlgsl (1.19.1-1) unstable; urgency=low

  * Team upload.

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Bas Couwenberg ]
  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev
    (Closes: #805818).

  [ Mehdi Dogguy ]
  * Import new upstream release, which fixes FTBFS issues and GSL 2
    compatibility issues.
  * Remove local patches, not needed anymore
  * Upstream repository has moved to github.com/mmottl/gsl-ocaml
  * Update packaging to cope with upstream's build system
  * Convert source package to 3.0 (quilt)
  * Convert packaging from cdbs to dh-7 style
  * Update debian/copyright file.

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 17 Jan 2016 20:34:21 +0100

ocamlgsl (0.6.0-7) unstable; urgency=low

  * Install libmlgsl.a on non-native architectures (Closes: #567060)

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 20 Apr 2010 21:55:21 +0200

ocamlgsl (0.6.0-6) unstable; urgency=low

  * Update upstream homepage
  * Restore .depend in clean target
  * Use dh-ocaml features
  * Upgrade Standards-version to 3.8.3 (section ocaml)

 -- Sylvain Le Gall <gildor@debian.org>  Mon, 14 Dec 2009 23:44:52 +0000

ocamlgsl (0.6.0-5) unstable; urgency=low

  * Really add a build-dependency on dh-ocaml

 -- Sylvain Le Gall <gildor@debian.org>  Mon, 09 Mar 2009 10:42:25 +0100

ocamlgsl (0.6.0-4) unstable; urgency=low

  * Switch packaging to git
  * Set maintainer to Debian OCaml Maintainers
  * Add dh-ocaml build-dependency (rules/ocaml.mk)
  * Add ${misc:Depends} to dependencies

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 05 Mar 2009 11:05:09 +0100

ocamlgsl (0.6.0-3) unstable; urgency=low

  * Setting arch to any, package on some arches will probably have
    performance issue because of data alignement but no real bugs
    (Closes: #490901)
  * Revamp debian/copyright
  * Upgrade Standards-Version to 3.8.0:
    * Add debian/REAME.source
    * Remove dpkg-dev Build-Deps
    * Add Homepage field

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 15 Jul 2008 23:01:13 +0200

ocamlgsl (0.6.0-2) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Sylvain Le Gall ]
  * Use ocaml 3.10.0-9 for generating .ocamldoc-apiref automatically
  * Modify gcc matching to help recognize gcc-4.2 as gcc
    (Closes: #482920)
  * Add hurd-i386 to arch (Closes: #482906)

 -- Sylvain Le Gall <gildor@debian.org>  Mon, 26 May 2008 12:15:49 +0200

ocamlgsl (0.6.0-1) unstable; urgency=low

  * New upstream release
  * Change email address to gildor@debian.org everywhere
  * Rebuild for ocaml 3.10.0
  * Move documentation to html/api
  * Use more debian/*.in file to take advantage of substitution of
    OCamlDllDir/OCamlStdlibDir
  * Use CDBS ocaml.mk

 -- Sylvain Le Gall <gildor@debian.org>  Wed, 05 Sep 2007 22:09:30 +0200

ocamlgsl (0.5.2-2) unstable; urgency=low

  * Revert changes on the build system

 -- Sylvain Le Gall <gildor@debian.org>  Sun, 21 Jan 2007 18:06:07 +0100

ocamlgsl (0.5.2-1) unstable; urgency=low

  * New upstream release:
    * Fix Gsl_sf.legendre_array_size (Closes: #406711)
  * Upgrade debian/watch version to 3,
  * Use ocaml.mk

 -- Sylvain Le Gall <gildor@debian.org>  Thu,  9 Nov 2006 23:39:55 +0100

ocamlgsl (0.5.1-3) unstable; urgency=low

  * Correct a typo OCAML_HAVE_OPT -> OCAML_HAVE_OCAMLOPT
    (Closes: #393442)

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 26 Oct 2006 01:17:00 +0200

ocamlgsl (0.5.1-2) unstable; urgency=low

  * Add versionned dependency on dpkg-dev

 -- Sylvain Le Gall <gildor@debian.org>  Sun, 15 Oct 2006 18:25:55 +0200

ocamlgsl (0.5.1-1) unstable; urgency=low

  * New upstream version (Closes: #392361),
  * Use CDBS for debian/rules,
  * Upgrade debhelper debian/compat to 5,
  * Real NUM acknowledgement (Closes: #361583, #361635),
  * Rebuild against ocaml 3.09.2 (Closes: #368773),
  * Patch cdf_handle_int_arguments.dpatch applied upstream,

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 12 Oct 2006 01:37:11 +0200

ocamlgsl (0.4.0-5) unstable; urgency=low

  * Acknowledge NMU (thanks to Samuel Mimram)
  * Change my email address to gildor@debian.org,
  * Made debian/control a PHONY target,
  * Upgrade standards version to 3.7.2 (no change),

 -- Sylvain Le Gall <gildor@debian.org>  Wed, 14 Jun 2006 21:34:58 +0200

ocamlgsl (0.4.0-4.1) unstable; urgency=low

  * NMU.
  * Added a patch (cdf_handle_int_arguments.dpatch) to solve the FTBFS by
    properly handling functions with "const unsigned int" arguments (thanks
    Julien Cristau), closes: #361583.
  * Added kfreebsd-amd64 to the list of supported archs, closes: #361635.
  * Updated Standards-Version to 3.7.0, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Thu,  4 May 2006 20:31:48 +0000

ocamlgsl (0.4.0-4) unstable; urgency=low

  * Rebuild for OCaml 3.09.1

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Wed, 11 Jan 2006 00:12:16 +0100

ocamlgsl (0.4.0-3) unstable; urgency=low

  * Use Apps/Programming for doc-base

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Sat,  3 Dec 2005 01:13:01 +0100

ocamlgsl (0.4.0-2) unstable; urgency=low

  * Remove direct reference to ocaml library dir
  * Remove hardcoded OCaml ABI
  * Transition to svn-buildpackage

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Fri,  2 Dec 2005 23:08:34 +0100

ocamlgsl (0.4.0-1) unstable; urgency=low

  * New upstream release
  * Added kfreebsd-i386 to the list of arch
    (Closes: #314703)
  * Migration to Standards-Version 3.6.2.0 (no change)

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Thu, 21 Jul 2005 23:34:51 +0200

ocamlgsl (0.3.5-3) unstable; urgency=high

  * Add dependency on libgsl0-dev (Closes: #309844)

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Sat, 21 May 2005 01:21:11 +0200

ocamlgsl (0.3.5-2) unstable; urgency=medium

  * Transition to ocaml 3.08.3 : depends on ocaml-nox-3.08.3

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Wed, 23 Mar 2005 23:37:47 +0100

ocamlgsl (0.3.5-1) unstable; urgency=low

  * New upstream release

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Wed,  8 Dec 2004 00:51:07 +0100

ocamlgsl (0.3.4-2) unstable; urgency=low

  * Transition to ocaml-3.08. Files modified :
    - control
    - rules
    - libocamlgsl-ocaml-dev.dirs
    - libocamlgsl-ocaml.dirs

 -- Sylvain LE GALL <sylvain.le-gall@polytechnique.org>  Wed, 28 Jul 2004 00:51:41 +0200

ocamlgsl (0.3.4-1) unstable; urgency=low

  * New upstream release
  * Add amd64 to the build arch list

 -- Sylvain LE GALL <sylvain.le-gall@polytechnique.org>  Mon,  7 Jun 2004 22:38:14 +0200

ocamlgsl (0.3.3-1) unstable; urgency=low

  * New upstream release

 -- Sylvain LE GALL <sylvain.le-gall@polytechnique.org>  Sat, 22 May 2004 00:20:44 +0200

ocamlgsl (0.3.2-3) unstable; urgency=low

  * Correct the override disparity : devel -> libdevel

 -- Sylvain LE GALL <sylvain.le-gall@polytechnique.org>  Thu,  6 May 2004 00:42:26 +0200

ocamlgsl (0.3.2-2) unstable; urgency=low

  * Modified the arch, because ocamlgsl won't build on double aligned
    arch ( ie not sparc, nor hppa )

 -- Sylvain LE GALL <sylvain.le-gall@polytechnique.org>  Tue,  4 May 2004 00:29:45 +0200

ocamlgsl (0.3.2-1) unstable; urgency=low

  * Initial upload
  * New upstream release
  * Correct the byte installation with patch make_bytecode
  * The name of the package in the archive will be libocamlgsl-ocaml-dev
    following the ocaml policy convention
  * Added a watch file
  * Corrected my own META, because there were errors
  * Choose to let the build system use the default dir ( ie .../gsl )
    rather than forcing it to .../ocamlgsl

 -- Sylvain LE GALL <sylvain.le-gall@polytechnique.org>  Tue, 20 Apr 2004 00:05:29 +0200
